curl --request POST \
--url https://api.orbit.devotel.io/api/v1/conversations/import-vcon \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"uuid": "<string>",
"subject": "<string>",
"vcon": "<string>",
"created_at": "<string>",
"parties": "<array>",
"dialog": "<array>",
"attachments": "<array>",
"analysis": "<array>",
"signatures": "<array>"
}
'import requests
url = "https://api.orbit.devotel.io/api/v1/conversations/import-vcon"
payload = {
"uuid": "<string>",
"subject": "<string>",
"vcon": "<string>",
"created_at": "<string>",
"parties": "<array>",
"dialog": "<array>",
"attachments": "<array>",
"analysis": "<array>",
"signatures": "<array>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
uuid: '<string>',
subject: '<string>',
vcon: '<string>',
created_at: '<string>',
parties: '<array>',
dialog: '<array>',
attachments: '<array>',
analysis: '<array>',
signatures: '<array>'
})
};
fetch('https://api.orbit.devotel.io/api/v1/conversations/import-vcon', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.orbit.devotel.io/api/v1/conversations/import-vcon",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'uuid' => '<string>',
'subject' => '<string>',
'vcon' => '<string>',
'created_at' => '<string>',
'parties' => '<array>',
'dialog' => '<array>',
'attachments' => '<array>',
'analysis' => '<array>',
'signatures' => '<array>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.orbit.devotel.io/api/v1/conversations/import-vcon"
payload := strings.NewReader("{\n \"uuid\": \"<string>\",\n \"subject\": \"<string>\",\n \"vcon\": \"<string>\",\n \"created_at\": \"<string>\",\n \"parties\": \"<array>\",\n \"dialog\": \"<array>\",\n \"attachments\": \"<array>\",\n \"analysis\": \"<array>\",\n \"signatures\": \"<array>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.orbit.devotel.io/api/v1/conversations/import-vcon")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"uuid\": \"<string>\",\n \"subject\": \"<string>\",\n \"vcon\": \"<string>\",\n \"created_at\": \"<string>\",\n \"parties\": \"<array>\",\n \"dialog\": \"<array>\",\n \"attachments\": \"<array>\",\n \"analysis\": \"<array>\",\n \"signatures\": \"<array>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.orbit.devotel.io/api/v1/conversations/import-vcon")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"uuid\": \"<string>\",\n \"subject\": \"<string>\",\n \"vcon\": \"<string>\",\n \"created_at\": \"<string>\",\n \"parties\": \"<array>\",\n \"dialog\": \"<array>\",\n \"attachments\": \"<array>\",\n \"analysis\": \"<array>\",\n \"signatures\": \"<array>\"\n}"
response = http.request(request)
puts response.read_body{
"error": {
"code": "<string>",
"message": "<string>",
"status": 123,
"details": {}
},
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"docs_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"status": 123,
"details": {}
},
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"docs_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"status": 123,
"details": {}
},
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"docs_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"status": 123,
"details": {}
},
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"docs_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"status": 123,
"details": {}
},
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"docs_url": "<string>"
}
}{
"error": {
"code": "RATE_LIMITED",
"message": "<string>",
"status": 429,
"retry_after": 2
},
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"docs_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"status": 123,
"details": {}
},
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"docs_url": "<string>"
}
}Import a signed IETF vCon as a new conversation
Verifies a signed IETF vCon (Orbit-HS256) artifact against the tenant’s shared export secret, then materializes it as a brand-new conversation row (never folding onto an existing thread) with its dialog turns, so a thread handed to a carrier / external AI system / compliance archive can be returned as a portable, provenance-preserving handoff. 422 when the signature does not verify or the container is malformed; 404 on an un-provisioned tenant (provisioning-gap parity with the export half). Idempotent mint only via a fresh generateId — re-importing the same artifact yields a second distinct thread.
curl --request POST \
--url https://api.orbit.devotel.io/api/v1/conversations/import-vcon \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"uuid": "<string>",
"subject": "<string>",
"vcon": "<string>",
"created_at": "<string>",
"parties": "<array>",
"dialog": "<array>",
"attachments": "<array>",
"analysis": "<array>",
"signatures": "<array>"
}
'import requests
url = "https://api.orbit.devotel.io/api/v1/conversations/import-vcon"
payload = {
"uuid": "<string>",
"subject": "<string>",
"vcon": "<string>",
"created_at": "<string>",
"parties": "<array>",
"dialog": "<array>",
"attachments": "<array>",
"analysis": "<array>",
"signatures": "<array>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
uuid: '<string>',
subject: '<string>',
vcon: '<string>',
created_at: '<string>',
parties: '<array>',
dialog: '<array>',
attachments: '<array>',
analysis: '<array>',
signatures: '<array>'
})
};
fetch('https://api.orbit.devotel.io/api/v1/conversations/import-vcon', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.orbit.devotel.io/api/v1/conversations/import-vcon",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'uuid' => '<string>',
'subject' => '<string>',
'vcon' => '<string>',
'created_at' => '<string>',
'parties' => '<array>',
'dialog' => '<array>',
'attachments' => '<array>',
'analysis' => '<array>',
'signatures' => '<array>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.orbit.devotel.io/api/v1/conversations/import-vcon"
payload := strings.NewReader("{\n \"uuid\": \"<string>\",\n \"subject\": \"<string>\",\n \"vcon\": \"<string>\",\n \"created_at\": \"<string>\",\n \"parties\": \"<array>\",\n \"dialog\": \"<array>\",\n \"attachments\": \"<array>\",\n \"analysis\": \"<array>\",\n \"signatures\": \"<array>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.orbit.devotel.io/api/v1/conversations/import-vcon")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"uuid\": \"<string>\",\n \"subject\": \"<string>\",\n \"vcon\": \"<string>\",\n \"created_at\": \"<string>\",\n \"parties\": \"<array>\",\n \"dialog\": \"<array>\",\n \"attachments\": \"<array>\",\n \"analysis\": \"<array>\",\n \"signatures\": \"<array>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.orbit.devotel.io/api/v1/conversations/import-vcon")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"uuid\": \"<string>\",\n \"subject\": \"<string>\",\n \"vcon\": \"<string>\",\n \"created_at\": \"<string>\",\n \"parties\": \"<array>\",\n \"dialog\": \"<array>\",\n \"attachments\": \"<array>\",\n \"analysis\": \"<array>\",\n \"signatures\": \"<array>\"\n}"
response = http.request(request)
puts response.read_body{
"error": {
"code": "<string>",
"message": "<string>",
"status": 123,
"details": {}
},
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"docs_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"status": 123,
"details": {}
},
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"docs_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"status": 123,
"details": {}
},
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"docs_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"status": 123,
"details": {}
},
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"docs_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"status": 123,
"details": {}
},
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"docs_url": "<string>"
}
}{
"error": {
"code": "RATE_LIMITED",
"message": "<string>",
"status": 429,
"retry_after": 2
},
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"docs_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"status": 123,
"details": {}
},
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"docs_url": "<string>"
}
}Authorizations
Dashboard JWT token from Clerk
Headers
Stripe-style idempotency token. Pass a stable, client-generated value (1-255 chars) to dedupe retries on transient timeouts. The same key+credential+path replays the original response for 24h on 2xx (5min on 4xx, 30s on 5xx). Returns 409 if a concurrent request with the same key is already in flight; replayed responses include the Idempotency-Replay: true response header.
1 - 255Sandbox opt-in for Clerk-session-authenticated requests — see Test mode explained for the full credential-header matrix and worked samples. Set to true to route the call through the test-mode pipeline: no real provider delivery, no credits deducted, response meta.test_mode: true. Ignored for live API keys (dv_live_sk_*) — server-to-server clients must use a test-prefixed key (dv_test_sk_*) to exercise sandbox. Test-prefixed keys unconditionally enable sandbox regardless of this header.
true, false Body
Response
Successful response.